header+main {
    padding-top: 46px;
}
.cart-page-title{
    margin: 14px 0px 0px;
}
section.cart-terms {
    margin: 40px 0 0;
}
@media (max-width: 1023px) {
    header+main {
        padding-top: 20px;
    }
    section.cart-terms {
        margin: 30px 0 0;
    }    
}
@media (max-width: 767px) {
    section.cart-terms {
        margin: 20px 0 0;
    }    
}
.cart-terms__list {
    display: flex;
    flex-direction: row;
    gap: 30px;
}
.woocommerce-cart-form {
    width: calc(100% - 382px);
}
.woocommerce-page .cart-terms .cart-collaterals {
    width: 352px;
}
.cart-row.cart-item.cart_item {
    display: flex;
    gap: 30px;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}
.woocommerce .cart-terms .cart-collaterals .cart_totals, .woocommerce-page .cart-terms .cart-collaterals .cart_totals {
    width: 100%;
}
.cart-row.cart-item {
    display: flex;
    flex-direction: row;
    width: 100%;
    border-top: 1px solid var(--gray-dark-line);
    padding: 14px 0;
}
.without-thumbnail-cell {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: calc(100% - 212px);
}
.cart-contents .cart-row.cart-item:last-child {
    border-bottom: 1px solid var(--gray-dark-line);
}
.cart-cell.thumbnail-cell {
    width: 182px;
    min-width: 182px;
    height: 162px;
    object-fit: contain;
    display: flex;
    align-items: center;
}
.cart-cell.name-cell {
    max-width: 213px;
    min-width: 213px;
    text-align: left;
}
.cart-cell.remove-cell {
    width: 40px;
}
.cart-cell.remove-cell {
    width: 40px;
}
.woocommerce img, .woocommerce-page img {
    width: 100%;
    height: auto;
}
.cart-cell.name-cell {
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: 0.5%;
}
.cart-product-card__colors {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 17px;
}
.cart-product-card__colors-list {
    width: 24px;
    height: 24px;
    padding: 4px;
    border: 1px solid var(--gray);
    border-radius: 50%;
    background: transparent;
    transition: var(--transition);
}
span.cart-product-card__variation-color {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.cart-cell.price-cell .price-items {
    font-size: 18px;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: 0.5%;
    text-align: center;
}
.price-regular.price-with-sale {
    font-size: 14px;
    font-weight: 400;
    line-height: 130%;
    letter-spacing: 0%;
    color: var(--gray-dark);
    position: relative;
    display: inline-block;
    padding: 0 5px;
}
.price-regular.price-with-sale:before {
    content: "";
    position: absolute;
    bottom: 25%;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--gray-dark);
    transform: rotate(-5deg);
    transform-origin: left center;
}
.price-sale{
    color: var(--red);
}
.woocommerce a.remove {
    border: 1px solid var(--gray-dark-line);
    width: 40px;
    height: 40px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    background: white;
}
.woocommerce a.remove:hover{
    background: white;
}
.woocommerce a.remove svg path{
    fill: var(--gray-dark);
}
.woocommerce a.remove:hover svg path{
    fill: var(--red);
} 
/*
cart empty
*/
.cart-empty.woocommerce-info {
    border-top-color: var(--red);
}
.cart-empty.woocommerce-info::before {
    color: var(--red);
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary{
    position: relative;
    min-height: 40px;
    padding: 9px 24px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
    color: var(--white);
    background: var(--red-gradient);
    border-radius: 4px;
    font-size: 16px;
    font-weight: 500;
    line-height: 130%;
    text-align: center;
    overflow: hidden;
    transition: var(--transition);
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary::before{
    content: "";
    position: absolute;
    inset: 0;
    background: var(--blue-gradient);
    opacity: 0;
    transition: var(--transition);
    pointer-events: none;
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary:hover::before, 
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary:focus-visible::before{
    opacity: 1;
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary .text {
    position: relative;
    color: var(--white);
}
.product-decription__quantity {
    display: flex;
    align-items: center;
    gap: 8px;
}
input.product-decription__qty-input{
    text-align: center;
}
/**/
.woocommerce-page .cart-terms .cart-collaterals .cart_totals {
    border: 1px solid var(--gray-dark);
    border-radius: 4px;
    padding: 24px;
}
.title-catr{
    padding-bottom: 24px;
}
.shop_cart-row {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid var(--gray-dark-line);
    padding: 14px 0;
    gap: 0;
    align-items: center;
}
.shop_cart-row:last-child{
    border-bottom: 1px solid var(--gray-dark-line);
}
.shop_cart-row .label{
    font-weight: 400;
    font-size: 14px;
    line-height: 130%;
    letter-spacing: 0%;
    color: var(--gray-dark);
}
.shop_cart-row .value{
    font-weight: 500;
    font-size: 16px;
    line-height: 130%;
    letter-spacing: 0%;
}
.shop_table.cart-total-items {
    margin-bottom: 24px;
}
.form-coupon{
    margin-top: 24px;
}

/*****************************/
.form-coupon label {
    display: block;
    margin-bottom: 8px;
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
}

.coupon-input-wrap {
    position: relative;
}

.coupon-input-wrap input {
    width: 100%;
    height: 40px;
    border: 1px solid var(--gray-dark-line);
    border-radius: 4px;
    padding: 0 14px 0 14px;
    font-size: 14px;
    outline: none;
    transition: 0.2s;
}

.coupon-input-wrap input:focus,
.coupon-input-wrap input:active,
input.coupon-input-success {
    border-color: var(--blue-dark);
}

.coupon-submit,
.coupon-remove {
    position: absolute;
    right: 14px;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    font-size: 16px;
    color: var(--gray-dark);
    line-height: 1;
}
.coupon-submit:hover,
.coupon-remove:hover {
    color: var(--blue-dark);
}

.coupon-message {
    margin-top: 8px;
    font-size: 14px;
}

.coupon-message.success {
    font-weight: 400;
    font-size: 12px;
    line-height: 110%;
    letter-spacing: 0px;
}
.coupon-message.error {
    color: #EF233C;
}
.coupon-input-wrap.error input {
    border-color: #EF233C;
    color: #EF233C;
}
.cart-wc-proceed-to-checkout{
    margin-top: 24px;
}
@media (max-width: 1320px) and (min-width: 1150px) {
    .cart-cell.name-cell {
        max-width: 156px;
        min-width: 156px;
    }
    .cart-row.cart-item.cart_item {
        gap: 20px;
    }
    .without-thumbnail-cell {
        width: calc(100% - 172px);
    }
    .cart-cell.thumbnail-cell {
        width: 152px;
        min-width: 152px;
        height: 136px;
    }    
}
@media (max-width: 1149px) {
    .cart-terms__list {
        display: flex;
        flex-direction: column;
    }
    .woocommerce-cart-form {
        width: 100%;
    }
    .woocommerce-page .cart-terms .cart-collaterals {
        width: 100%;
    }
    :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary{
        width: 100%;
    }
}
@media (max-width: 991px) {
    .cart-cell.name-cell {
        max-width: 156px;
        min-width: 156px;
    }
    .cart-row.cart-item.cart_item {
        gap: 20px;
    }
    .without-thumbnail-cell {
        width: calc(100% - 172px);
    }
    .cart-cell.thumbnail-cell {
        width: 152px;
        min-width: 152px;
        height: 136px;
    }    
}
@media (max-width: 767px) {
    .woocommerce a.remove {
        width: 34px;
        height: 34px;
    }
}
@media (max-width: 660px) {
    .cart-row.cart-item.cart_item {
        display: flex;
        align-items: flex-start;
    }
    .without-thumbnail-cell {
        display: flex;
        flex-direction: row;
        align-items: center;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    .cart-product-card__colors {
        margin-top: 14px;
    }
    .cart-cell.name-cell {
        width: 100%;
        max-width: none;
        min-width: auto;
    }
    .cart-cell.price-cell .price-regular {
        text-align: start;
    }
    .cart-cell.price-cell .price-items {
        text-align: start;
    }
    .price-regular.price-with-sale {
        padding: 0 3px;
        margin-left: -3px;
    }
    .cart-cell.price-cell {
        width: 100%;
        margin-top: 14px;
        margin-bottom: 20px;
    }  
}
@media (max-width: 425px) {
    .cart-cell.thumbnail-cell {
        width: 137px;
        min-width: 137px;
        height: 123px;
    }
    .without-thumbnail-cell {
        width: calc(100% - 157px);
    }
    .cart-cell.name-cell {
        font-size: 16px;
        line-height: 120%;
    }
    .cart-cell.price-cell .price-items {
        font-size: 16px;
    }
    .woocommerce-page .cart-terms .cart-collaterals .cart_totals {
        padding: 20px;
    }
    :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.btn-primary {  
        padding: 9px 14px;
        font-size: 14px;
    }
    .product-decription__quantity {
        gap: 2px;
    }
}